## com.fasterxml.jackson.databind.introspect
Class NopAnnotationIntrospector

    java.lang.Object
      com.fasterxml.jackson.databind.AnnotationIntrospector
          com.fasterxml.jackson.databind.introspect.NopAnnotationIntrospector

All Implemented Interfaces:
  com.fasterxml.jackson.core.Versioned

    public abstract class NopAnnotationIntrospector

extends AnnotationIntrospector

Dummy, "no-operation" implementation of `AnnotationIntrospector`. Can be used as is to suppress handling of annotations; or as a basis for simple configuration overrides (whether based on annotations or not).

Nested Class Summary

Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.AnnotationIntrospector
`AnnotationIntrospector.Pair, AnnotationIntrospector.ReferenceProperty`

Field Summary
`static NopAnnotationIntrospector` `instance` Static immutable and shareable instance that can be used as "null" introspector: one that never finds any annotation information.

Constructor Summary
`NopAnnotationIntrospector()`

Method Summary
`com.fasterxml.jackson.core.Version` `version()`

Methods inherited from class com.fasterxml.jackson.databind.AnnotationIntrospector

`allIntrospectors, allIntrospectors, findAutoDetectVisibility, findContentDeserializer, findContentSerializer, findDeserializationContentType, findDeserializationKeyType, findDeserializationName, findDeserializationName, findDeserializationName, findDeserializationType, findDeserializer, findEnumValue, findFilterId, findIgnoreUnknownProperties, findInjectableValueId, findKeyDeserializer, findKeySerializer, findObjectIdInfo, findPOJOBuilder, findPOJOBuilderConfig, findPropertiesToIgnore, findPropertyContentTypeResolver, findPropertyTypeResolver, findReferenceType, findRootName, findSerializationContentType, findSerializationInclusion, findSerializationKeyType, findSerializationName, findSerializationName, findSerializationPropertyOrder, findSerializationSortAlphabetically, findSerializationType, findSerializationTyping, findSerializer, findSubtypes, findTypeName, findTypeResolver, findUnwrappingNameTransformer, findValueInstantiator, findViews, hasAnyGetterAnnotation, hasAnySetterAnnotation, hasAsValueAnnotation, hasCreatorAnnotation, hasIgnoreMarker, hasRequiredMarker, isAnnotationBundle, isHandled, isIgnorableType, isTypeId, nopInstance, pair`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instance

    public static final NopAnnotationIntrospector instance

  Static immutable and shareable instance that can be used as "null" introspector: one that never finds any annotation information.

Constructor Detail

### NopAnnotationIntrospector

    public NopAnnotationIntrospector()

Method Detail

### version

    public com.fasterxml.jackson.core.Version version()

  Specified by:
    `version` in interface `com.fasterxml.jackson.core.Versioned`
  Specified by:
    `version` in class `AnnotationIntrospector`

Copyright © 2012 fasterxml.com. All Rights Reserved.